<?php
include '../admin/config.php';
$conn = new mysqli($HostName, $HostUser, $HostPass, $DatabaseName);
 
	$email = $_POST["email"];   
	$pass = $_POST["pass"];
	$id_q = $_POST["id_q"];
	$checkAnswer = $_POST["checkAnswer"];   
	$Date = date("Y-m-d H:i");
	$response = array();
	$response["success"] = false ;


    	$query = "SELECT energe , point , log FROM USERS WHERE email='$email' AND pass='$pass' ";
        $result = mysqli_query($conn,$query);
         if($row = mysqli_fetch_array($result)) {
             $energe = $row['energe'] ;
			 $point = $row['point'] ;
			 $log = $row['log'] ;
           }else{
			 $response["success"] = "البريد الالكتروني او كلمة المرور غير صحيحة" ; 
	         echo json_encode($response); 
	         return ;
		   }
		   

           if ( strpos($log,   "id".$id_q."true " ) !== false ) {
              // إذا كان  السؤال مر من قبل نفذ هذا الأمر
			  $response["success"] = "السؤال مر من قبل" ;
	          $conn->close();
	          echo json_encode($response);
	          return ;
             }
		   
		   
		   
   if($energe <= 0){
	   $response["success"] = "ليس هناك طاقة كافية" ;
	   $conn->close();
	   echo json_encode($response);
	   return ;
   }


   if($checkAnswer == "true"){
	   $l_true = "id".$id_q."true "."\n" ;
       $sql = "UPDATE USERS SET point=point+1  , log=CONCAT(log, '$l_true')  , postive=postive+1, lastlogin='$Date'   WHERE email='$email' "; // إضافة النقاط والسجل للمستخدم
       $response["success"] = $conn->query($sql);
  
  }else{
	   if($point == 0){
		  	   $l_false = "id".$id_q."false "."\n" ;
               $sql = "UPDATE USERS SET  log=CONCAT(log, '$l_false')  ,energe=energe-1 , negative=negative+1, lastlogin='$Date'  WHERE email='$email' "; // إضافة النقاط والسجل للمستخدم
               $conn->query($sql);
		  $response["success"] = "لا زلت ضعيفا" ;
	      $conn->close();
	      echo json_encode($response);
	      return ;
         }
	   $l_false = "id".$id_q."false "."\n" ;
       $sql = "UPDATE USERS SET point=point-1  , log=CONCAT(log, '$l_false')  ,energe=energe-1 , negative=negative+1, lastlogin='$Date'  WHERE email='$email' "; // إضافة النقاط والسجل للمستخدم
       $response["success"] = $conn->query($sql);
   }
   
   
    $conn->close();
    echo json_encode($response);

?>
	 
	 
	 
